---
title: 2023-05-03
---

# Co-op Cloud Federation Meeting 2023-05-03

Notes from last meeting: https://docs.coopcloud.tech/federation/minutes/2022-03-03/

Metadata

* Time / date: May 3 @ 1500-1630 UTC https://time.is/0330PM_3_May_2023_in_UTC
* Location: https://meet.jit.si/coop-cloud-federation-meeting
* Attending: Autonomic (trav, 3wc), Local-IT (yksflip, Moritz), decentral1se (🐺 /free agent)
* Facilitation: Calix
* Notes: trav

Agenda

_(All times UTC, as sharp as possible)_

* Introductions / checkins (5m)
  * How you're doing
  * Which organisation are you attached to? (if applicable)
  * a fun (or terrible) Co-op Cloud experience you've had recently
    * Packaging Rustdesk server 🥳
    * Realising backupbot labels didn't work 😱
    * Upgrading with missing backups 😅 Deployed 18-20 apps at once, wrote a script 🤯
    * Immovable force meets unstoppable bug, no deployments ⛔
* Decisions - what passed, any new proposals? (10m) https://docs.coopcloud.tech/federation/resolutions/
  * we review the existing resolutions
  * Resolution 005 / process 
    * trav: sticking to 2 week deadline for proposals?
    * d1: there was a meeting where we talked about it being a small decision but then it became medium. G
    * trav: ahh mixups happen, I don't feel strongly ultimately.
    * yksflip: maybe check-in with cas but call it passed (?). 2 weeks is a good amount of time but can understand you'd want to move on more quickly.
    * 3wc: 2 week default good. Very async coordination, espeically if folks have to go back to their co-op to check-in. Fewer people will see it the shorter it is.
    * Moritz: how to know size of the decision?
      * 3wc: smallest decision size that seems fair. 
      * d1 in chat: 'who is affected by the decision'
    * d1: 2 weeks seems good, simpler to stick to that going forward. Super duper emergency budget
  * What does the second point of Resolution 004 mean
    * 3wc: first Budget is a budget for these meetings. 
  * Superduperemergencybudget
    * Trav: For emergency work?
    * d1: yes, but the part that's missing is to know what is super duper emergency. There are a lot of P1 bugs but they're not all show-stoppers. There are a number of things that need to be fixed quicker than 2 weeks
    * 3wc: emergency firefighter. Up to whoever proposes the budget as to what the structure would look like.
* abra fixes Budget / proposal thingy
  * https://pad.autonomic.zone/Fp6Zi846TNqATulYFqcJqw
  * d1: if this was proposed today, wait 2 weeks and then I'd fix them. Or standing budget?
  * trav: suggestion is wait 2 weeks then implement? or agree standing budget?
  * 3wc: yes, but also passing emergency budget would also take 2 weeks, no?
  * d1: propose this and do 10 hours or do a "10 hours" proposal and fit this into it. Not show-stopping bugs but 2 weeks wont kill us.
  * trav: might be worth passing 10h/mo, something/month for fixes, maintenance / emergency. non-binding poll / gitea voting → what to work on. vs having to package bug work together. less bureaucracy.
  * d1: can re-work decision 6 into a maintenance budget. Curious how we want to bubble-up the bugs. Board? Label?
  * yksflip: standing maintenance makes sense to me. 
* federation bootstrap funds 🤑
  * trav: there's money leftover from donor
  * d1: 6k in the pot, get the work funded.
  * trav: buffer tho?
  * Moritz: I'm paid from Local IT. How to decide who is doing which fixes?
  * d1: people tend to do stuff they want to see done. Some way to share would be good....?
  * 3wc: tags. Tickets labeled as part of maintenance budget. If assigned to someone, they are point person. Plot twist: time expectation. Someone takes something on and it's unclear when that's going to happen. Claim things for up to a week or 2 but don't claim it until you're ready to work on it.
  * ** we love it **
  * **d1 to roll into maintenance proposal**
* doop coop dues waiver https://pad.autonomic.zone/xgd7lLxzT520O4KRXuWyuQ#
  * 3wc: yusef posted, side project, low income, would like to participate. 1 year waiver of dues. They seem enthusiastic and helpful person to be around.
  *  trav: can decide now? " Individuals/groups wanting to join Co-op Cloud who aren’t able to make a financial contribution may request a solidarity free membership." doesn't say how to make decision
  *  d1: medium seems fine
  *  Moritz: instead of dues perhaps doing some abra fixes
  *  Philip: agree on waiving fees for them. How to define time to spend on project. Alternative membership fee, donate time?
  *  3wc: part of inspiration for fedration is Co-op Cycle: too complicated to track work and money. Have to track money so wont track work. Like the simplicity. Wage is €20/h, in-kind work contribution would be 30 minutes of work contribution per month. 
  *  d1: reflecting on unions etc, pay dues and also contribute. Something to think about.

* Checkouts

didn't get to:
* Breakout groups?
  * Software tools
  * Finances
  * Outreach
  * Development
* next meeting? Is it monthly? I forget.
